<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj"
            crossorigin="anonymous"></script>
    <title>Title</title>
</head>
<body>
<div class="container-fluid">
    <div class="row">
        <div id="login" class="col-12 tab">
            <div class="row">
                <div class="col-12">
                    <div class="btn btn-warning mt-2 f-right" onclick="openTab('register')">Go to Register</div>
                    <h2>Login</h2>
                </div>
                <div class="col-8 offset-2">
                    <form>
                        <div class="form-group">
                            <label for="username-login">Username</label>
                            <input type="text" class="form-control" id="username-login" placeholder="Enter username">
                            <small id="emailHelp" class="form-text text-muted">Enter username</small>
                        </div>
                        <div class="form-group">
                            <label for="password-login">Password</label>
                            <input type="password" class="form-control" id="password-login"
                                   placeholder="Password">
                        </div>
                        <div class="btn btn-primary mt-2" onclick="requestLogin()">Submit</div>
                    </form>
                </div>
            </div>
        </div>
        <div id="register" class="col-12 tab">
            <div class="row">
                <div class="col-12">
                    <div class="btn btn-warning mt-2 float-right" onclick="openTab('login')">Go to Login</div>
                    <h2>Register</h2>
                </div>
                <div class="col-8 offset-2">
                    <form>
                        <div class="form-group">
                            <label for="username-login">Username</label>
                            <input type="text" class="form-control" id="username-register" placeholder="Enter username">
                            <small id="emailHelp1" class="form-text text-muted">Enter username</small>
                        </div>
                        <div class="form-group">
                            <label for="password-login">Password</label>
                            <input type="password" class="form-control" id="password-register"
                                   placeholder="Password">
                        </div>
                        <div class="form-group">
                            <label for="password-login">Confirm Password</label>
                            <input type="password" class="form-control" id="confirm-password-register"
                                   placeholder="Confirm Password">
                        </div>
                        <div class="btn btn-primary mt-2" onclick="requestRegister()">Submit</div>

                    </form>
                </div>
            </div>
        </div>
        <div id="home" class="col-12 tab">
            <div class="row">
                <div class="col-6">
                    <h2>Change password</h2>
                    <form>
                        <div class="form-group">
                            <label for="password-change-password">Password</label>
                            <input type="password" class="form-control" id="password-change-password" placeholder="Password">
                            <small id="emailHelp3" class="form-text text-muted">Enter Password</small>
                        </div>
                        <div class="form-group">
                            <label for="password-confirm-change-password">Confirm password</label>
                            <input type="password" class="form-control" id="password-confirm-change-password" placeholder="Confirm password">
                            <small id="emailHelp4" class="form-text text-muted">Confirm password</small>
                        </div>
                        <div class="btn btn-primary mt-2" onclick="requestChangePassword()">Submit</div>
                    </form>
                </div>
                <div class="col-6 text-center pt-4">
                    <button class="btn btn-danger mt-4" onclick="logout()">Logout</button>
                </div>
                <hr class="my-4">
                <div class="col-12">
                    <div class="row">
                        <div class="col-12">
                            <h2>Match word</h2>
                        </div>
                        <div class="col-12">
                            <div class="row">
                                <div class="col-6">
                                    <input class="form-control" id="word-1">
                                </div>
                                <div class="col-6">
                                    <input class="form-control" id="word-2">
                                </div>
                                <div class="col-12 text-center pt-4">
                                    <button class="btn btn-success" onclick="requestMatch()">Match coefficient</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function requestChangePassword(){
        $.ajax({
            url: '/auth/change_password',
            type: 'post',
            headers: {
                Authorization: 'Bearer ' + get_token()
            },
            data: JSON.stringify({
                password: $('#password-change-password').val(),
                password_confirm: $('#confirm-password-change-password').val()
            }),
            success: function (data) {
                alert('Password updated')
            },
        });
    }
    function requestMatch(){
        $.ajax({
                url: '/match',
                type: 'post',
                headers: {
                    Authorization: 'Bearer ' + get_token()
                },
                data: JSON.stringify({
                    word1: $('#word-1').val(),
                    word2: $('#word-2').val()
                }),
                success: function (data) {
                    alert(data.result)
                },
            });
        }
    function requestRegister(){
        $.ajax({
            url: '/auth/register',
            type: 'post',
            data: JSON.stringify({
                username: $('#username-register').val(),
                password: $('#password-registern').val(),
                password_confirm: $('#confirm-password-register').val()
            }),
            success: function (data) {
                window.localStorage.setItem('token', data.token)
                window.localStorage.setItem('user_id', data.user_id)
                openTab('home')
            },
        });
    }
    function requestLogin() {
        $.ajax({
            url: '/auth/login',
            type: 'post',
            data: JSON.stringify({
                username: $('#username-login').val(),
                password: $('#password-login').val()
            }),
            success: function (data) {
                window.localStorage.setItem('token', data.token)
                window.localStorage.setItem('user_id', data.user_id)
                openTab('home')
            },
        });
    }
    function get_token(){
        return window.localStorage.getItem('token')
    }

    function logout(){
        $.ajax({
            url: '/auth/logout',
            type: 'get',
            headers: {
                Authorization: 'Bearer ' + get_token()
            },
            success: function (data) {
                console.log(data)
                window.localStorage.removeItem('token')
                window.localStorage.removeItem('user_id')
                openTab('login')
            },
        });
    }

    function openTab(tab_id) {
        $('.tab').css('display', 'none')
        $('#' + tab_id).css('display', 'block')
    }
    $(document).ready(function(){
        $.ajaxSetup({
            contentType: "application/json",
            dataType: 'json',
            error: function (request, error) {
                alert(request.responseJSON['detail'])
            },
        })
        if (window.localStorage.getItem('user_id')) {
            openTab('home')
        } else {
            openTab('login')
        }
    })
</script>
</body>
</html>